Wallet search
curl --request GET \
--url https://api.sandbox.finsei.com/v3/wallet \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.finsei.com/v3/wallet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.finsei.com/v3/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.finsei.com/v3/wallet",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.finsei.com/v3/wallet"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.finsei.com/v3/wallet")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.finsei.com/v3/wallet")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 123,
"uuid": "<string>",
"balance": 123,
"balanceLock": 123,
"balanceInProgress": 123,
"currencyId": "<string>",
"description": "<string>",
"data": {
"type": "BANK",
"accountId": "<string>",
"details": [
{
"id": "<string>",
"isMain": true,
"label": "<string>",
"iban": "<string>",
"bicSwift": "<string>",
"bank": {
"accountHolderName": "<string>",
"name": "<string>",
"address": "<string>"
}
}
]
},
"flags": {
"isVisible": true,
"isFavourite": true
},
"status": "ACTIVE",
"color": "<string>",
"name": "<string>",
"updatedAt": 1666666666999,
"updatedAtUnix": 1731390994,
"version": 1,
"permissions": {
"canPay": true,
"canTopUp": true,
"canTransferToCard": true,
"canTopUpFromWallet": true,
"canCurrencyExchange": true,
"canCardCreate": true,
"canCardChipAndPinOrder": true,
"canCardVirtualOrder": true,
"canCardDisposableOrder": true,
"canClose": true,
"canExportPDF": true,
"canExportCSV": true,
"canExportXML": true,
"canCryptoBuy": true,
"canCryptoSell": true
},
"currency": {
"id": "<string>",
"name": "<string>"
},
"transferSourceWalletId": [
123
],
"transferTargetWalletId": [
123
]
}
]{
"name": "Bad Request",
"message": "<string>",
"status": 400
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}Endpoints
GET /v3/wallet
GET
/
v3
/
wallet
Wallet search
curl --request GET \
--url https://api.sandbox.finsei.com/v3/wallet \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.finsei.com/v3/wallet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.finsei.com/v3/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.finsei.com/v3/wallet",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.finsei.com/v3/wallet"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.finsei.com/v3/wallet")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.finsei.com/v3/wallet")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 123,
"uuid": "<string>",
"balance": 123,
"balanceLock": 123,
"balanceInProgress": 123,
"currencyId": "<string>",
"description": "<string>",
"data": {
"type": "BANK",
"accountId": "<string>",
"details": [
{
"id": "<string>",
"isMain": true,
"label": "<string>",
"iban": "<string>",
"bicSwift": "<string>",
"bank": {
"accountHolderName": "<string>",
"name": "<string>",
"address": "<string>"
}
}
]
},
"flags": {
"isVisible": true,
"isFavourite": true
},
"status": "ACTIVE",
"color": "<string>",
"name": "<string>",
"updatedAt": 1666666666999,
"updatedAtUnix": 1731390994,
"version": 1,
"permissions": {
"canPay": true,
"canTopUp": true,
"canTransferToCard": true,
"canTopUpFromWallet": true,
"canCurrencyExchange": true,
"canCardCreate": true,
"canCardChipAndPinOrder": true,
"canCardVirtualOrder": true,
"canCardDisposableOrder": true,
"canClose": true,
"canExportPDF": true,
"canExportCSV": true,
"canExportXML": true,
"canCryptoBuy": true,
"canCryptoSell": true
},
"currency": {
"id": "<string>",
"name": "<string>"
},
"transferSourceWalletId": [
123
],
"transferTargetWalletId": [
123
]
}
]{
"name": "Bad Request",
"message": "<string>",
"status": 400
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
ACTIVE, BLOCKED, CLOSED Available options:
0, 1 Available options:
0, 1 Available options:
currency, transferSourceWalletId, transferTargetWalletId Enter a field name to sort by (with a minus to sort desc):
id: sort asc -id: sort desc
Response
OK
Unique wallet id
Unique wallet id
Balance of wallet
Balance lock of wallet
Balance in progress of wallet
Currency 3-char code
Maximum string length:
3Some information
Maximum string length:
255- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Wallet status
Available options:
ACTIVE, BLOCKED Maximum string length:
7Wallet name
Updated timestamp in milliseconds
Example:
1666666666999
Updated timestamp in seconds
Example:
1731390994
Example:
1
Show child attributes
Show child attributes
Show child attributes
Show child attributes
List of wallets that can be used as source wallets (sending money to the current wallet)
List of wallets that can be used as target wallets (receiving money from the current wallet)